Loading...
Searching...
No Matches
parmetis.hh File Reference

This include file is intended to be used instead of the direct include of parmetis.h. More...

Go to the source code of this file.

## Detailed Description

This include file is intended to be used instead of the direct include of parmetis.h.

It provides the right order of necessary pre-includes, e.g. when ptscotch-parmetis is found, and introduces version-/distribution-independent type definitions for floating-point arguments (real_t) and integer arguments (idx_t) in the namespace Dune::ParMetis.